| Flutter Linux Embedder |

Classes | Functions | Variables
fl_accessibility_handler.cc File Reference
`#include "flutter/shell/platform/linux/fl_accessibility_handler.h"`
`#include "flutter/shell/platform/linux/fl_accessibility_channel.h"`
`#include "flutter/shell/platform/linux/fl_engine_private.h"`
`#include "flutter/shell/platform/linux/fl_view_private.h"`

Go to the source code of this file.

## Classes
struct | FlAccessibilityHandlerPrivate

## Functions
| G_DEFINE_TYPE_WITH_PRIVATE (FlAccessibilityHandler, fl_accessibility_handler, G_TYPE_OBJECT) static void send_announcement(int64_t view_id
| g_autoptr (FlEngine) engine
| if (engine==nullptr)
| if (renderable==nullptr||!FL_IS_VIEW(renderable))
| fl_view_accessible_send_announcement (accessible, message, assertiveness==FL_ASSERTIVENESS_ASSERTIVE)
static void | fl_accessibility_handler_dispose (GObject *object)
static void | fl_accessibility_handler_class_init (FlAccessibilityHandlerClass *klass)
static void | fl_accessibility_handler_init (FlAccessibilityHandler *self)
FlAccessibilityHandler * | fl_accessibility_handler_new (FlEngine *engine)

## Variables
const char * | message
const char FlTextDirection | text_direction
const char FlTextDirection FlAssertiveness | assertiveness
const char FlTextDirection FlAssertiveness gpointer | user_data
FlAccessibilityHandlerPrivate * | priv
FlRenderable * | renderable = fl_engine_get_renderable(engine, view_id)
FlView * | view = FL_VIEW(renderable)
FlViewAccessible * | accessible = fl_view_get_accessible(view)
static FlAccessibilityChannelVTable | accessibility_channel_vtable

## Function Documentation

## ◆ fl_accessibility_handler_class_init()

static void fl_accessibility_handler_class_init | ( | FlAccessibilityHandlerClass * | klass | ) |
| static

Definition at line 58 of file fl_accessibility_handler.cc.

59 {
60 G_OBJECT_CLASS(klass)->dispose = fl_accessibility_handler_dispose;
61 }
fl_accessibility_handler_dispose
static void fl_accessibility_handler_dispose(GObject *object)
Definition: fl_accessibility_handler.cc:46

References fl_accessibility_handler_dispose().

## ◆ fl_accessibility_handler_dispose()

static void fl_accessibility_handler_dispose | ( | GObject * | object | ) |
| static

Definition at line 46 of file fl_accessibility_handler.cc.

46 {
47 FlAccessibilityHandler* self = FL_ACCESSIBILITY_HANDLER(object);
48 FlAccessibilityHandlerPrivate* priv =
49 reinterpret_cast<FlAccessibilityHandlerPrivate*>(
50 fl_accessibility_handler_get_instance_private(self));
51
52 g_weak_ref_clear(&priv->engine);
53 g_clear_object(&priv->channel);
54
55 G_OBJECT_CLASS(fl_accessibility_handler_parent_class)->dispose(object);
56 }
priv
FlAccessibilityHandlerPrivate * priv
Definition: fl_accessibility_handler.cc:26
FlAccessibilityHandlerPrivate
Definition: fl_accessibility_handler.cc:11
FlAccessibilityHandlerPrivate::channel
FlAccessibilityChannel * channel
Definition: fl_accessibility_handler.cc:13
FlAccessibilityHandlerPrivate::engine
GWeakRef engine
Definition: fl_accessibility_handler.cc:12

References FlAccessibilityHandlerPrivate::channel, FlAccessibilityHandlerPrivate::engine, and priv.

Referenced by fl_accessibility_handler_class_init().

## ◆ fl_accessibility_handler_init()

static void fl_accessibility_handler_init | ( | FlAccessibilityHandler * | self | ) |
| static

Definition at line 63 of file fl_accessibility_handler.cc.

63 {}

## ◆ fl_accessibility_handler_new()

FlAccessibilityHandler* fl_accessibility_handler_new | ( | FlEngine * | engine | ) |

FlAccessibilityHandler:

#FlAccessibilityHandler is a handler that implements the shell side of SystemChannels.accessibility from the Flutter services library. fl_accessibility_handler_new: @engine: an #FlEngine.

Creates a new handler that implements SystemChannels.accessibility from the Flutter services library.

Returns: a new #FlAccessibilityHandler

Definition at line 69 of file fl_accessibility_handler.cc.

69 {
70 g_return_val_if_fail(FL_IS_ENGINE(engine), nullptr);
71
72 FlAccessibilityHandler* self = FL_ACCESSIBILITY_HANDLER(
73 g_object_new(fl_accessibility_handler_get_type(), nullptr));
74 FlAccessibilityHandlerPrivate* priv =
75 reinterpret_cast<FlAccessibilityHandlerPrivate*>(
76 fl_accessibility_handler_get_instance_private(self));
77
78 g_weak_ref_init(&priv->engine, engine);
79 priv->channel =
80 fl_accessibility_channel_new(fl_engine_get_binary_messenger(engine),
81 &accessibility_channel_vtable, self);
82
83 return self;
84 }
fl_accessibility_channel_new
FlAccessibilityChannel * fl_accessibility_channel_new(FlBinaryMessenger *messenger, FlAccessibilityChannelVTable *vtable, gpointer user_data)
Definition: fl_accessibility_channel.cc:177
accessibility_channel_vtable
static FlAccessibilityChannelVTable accessibility_channel_vtable
Definition: fl_accessibility_handler.cc:65
fl_engine_get_binary_messenger
G_MODULE_EXPORT FlBinaryMessenger * fl_engine_get_binary_messenger(FlEngine *self)
Definition: fl_engine.cc:1451

References accessibility_channel_vtable, FlAccessibilityHandlerPrivate::channel, FlAccessibilityHandlerPrivate::engine, fl_accessibility_channel_new(), fl_engine_get_binary_messenger(), and priv.

Referenced by fl_engine_new_full().

## ◆ fl_view_accessible_send_announcement()

fl_view_accessible_send_announcement | ( | accessible | ,
|  | message | ,
|  | assertiveness | = `=FL_ASSERTIVENESS_ASSERTIVE`
| ) |  |

## ◆ g_autoptr()

g_autoptr | ( | FlEngine |  | ) |

Referenced by FlValueHandler::add(), add_mock_texture_to_registrar(), add_view_cb(), add_view_engine_error_cb(), add_view_error_cb(), channel_closed_cb(), clipboard_text_cb(), clipboard_text_has_strings_cb(), compositor_present_view_callback(), create_node(), create_pango_layout(), create_settings(), cursor_changed_cb(), decode_error_message(), decode_error_method_call(), decode_error_response(), decode_error_value(), decode_message(), decode_message_with_codec(), decode_method_call(), decode_response_with_error(), decode_response_with_success(), decode_semantic_data(), encode_bool(), encode_error_envelope(), encode_error_message(), encode_float(), encode_int(), encode_message(), encode_message_error(), encode_message_with_codec(), encode_method_call(), encode_string(), encode_success_envelope(), ensure_pointer_added(), ensure_touch_added(), finish_method(), fl_accessibility_channel_new(), fl_accessible_text_field_perform_action(), fl_application_activate(), fl_application_local_command_line(), fl_basic_message_channel_respond(), fl_basic_message_channel_send(), fl_basic_message_channel_send_finish(), fl_binary_messenger_handle_message(), fl_binary_messenger_response_handle_impl_dispose(), fl_compositor_opengl_render(), fl_engine_add_view(), fl_engine_gl_external_texture_frame_callback(), fl_engine_new_with_binary_messenger(), fl_engine_platform_message_cb(), fl_engine_platform_message_response_cb(), fl_engine_remove_view(), fl_engine_send_key_event(), fl_engine_start(), fl_event_channel_send(), fl_event_channel_send_error(), fl_gnome_settings_new(), fl_json_message_codec_decode(), fl_json_method_codec_decode_method_call(), fl_json_method_codec_decode_response(), fl_json_method_codec_encode_error_envelope(), fl_json_method_codec_encode_method_call(), fl_json_method_codec_encode_success_envelope(), fl_key_embedder_responder_handle_event(), fl_key_embedder_responder_handle_event_impl(), fl_key_event_channel_new(), fl_key_event_channel_send(), fl_key_event_channel_send_finish(), fl_keyboard_channel_new(), fl_keyboard_manager_handle_event(), fl_message_codec_encode_message(), fl_method_call_respond(), fl_method_call_respond_error(), fl_method_call_respond_not_implemented(), fl_method_call_respond_success(), fl_method_channel_invoke_method(), fl_method_channel_invoke_method_finish(), fl_method_channel_respond(), fl_method_response_get_result(), fl_mouse_cursor_channel_new(), fl_platform_channel_make_system_request_app_exit_response(), fl_platform_channel_new(), fl_platform_channel_respond_clipboard_get_data(), fl_platform_channel_respond_clipboard_has_strings(), fl_platform_channel_respond_system_exit_application(), fl_platform_channel_system_request_app_exit(), fl_platform_channel_system_request_app_exit_finish(), fl_pointer_manager_handle_button_press(), fl_pointer_manager_handle_button_release(), fl_pointer_manager_handle_enter(), fl_pointer_manager_handle_leave(), fl_pointer_manager_handle_motion(), fl_scrolling_manager_handle_rotation_begin(), fl_scrolling_manager_handle_rotation_end(), fl_scrolling_manager_handle_rotation_update(), fl_scrolling_manager_handle_scroll_event(), fl_scrolling_manager_handle_zoom_begin(), fl_scrolling_manager_handle_zoom_end(), fl_scrolling_manager_handle_zoom_update(), fl_settings_channel_new(), fl_settings_channel_send(), fl_settings_new(), fl_settings_portal_get_clock_format(), fl_settings_portal_get_color_scheme(), fl_settings_portal_get_enable_animations(), fl_settings_portal_get_high_contrast(), fl_settings_portal_get_text_scaling_factor(), fl_settings_portal_new(), fl_settings_portal_start(), fl_standard_message_codec_decode_message(), fl_standard_message_codec_encode_message(), fl_standard_message_codec_read_value_of_type(), fl_standard_method_codec_decode_method_call(), fl_standard_method_codec_decode_response(), fl_standard_method_codec_encode_error_envelope(), fl_standard_method_codec_encode_method_call(), fl_standard_method_codec_encode_success_envelope(), fl_standard_method_codec_new(), fl_task_runner_on_expired_timeout(), fl_task_runner_post_flutter_task(), fl_task_runner_process_expired_tasks_locked(), fl_task_runner_wait(), fl_test_application_activate(), fl_test_codec_decode_response(), fl_text_input_channel_new(), fl_text_input_channel_perform_action(), fl_text_input_channel_perform_action_finish(), fl_text_input_channel_update_editing_state(), fl_text_input_channel_update_editing_state_finish(), fl_text_input_channel_update_editing_state_with_deltas(), fl_text_input_channel_update_editing_state_with_deltas_finish(), fl_touch_manager_handle_touch_event(), fl_value_new_list_from_strv(), fl_view_accessible_handle_update_semantics(), fl_view_new(), get_executable_dir(), get_exit_response(), get_keyboard_state(), get_line_at_offset(), get_paragraph_at_offset(), get_string_at_offset(), get_view(), handle_key_event(), handle_response(), mark_texture_frame_available(), message_cb(), message_response_cb(), method_call_cb(), notify_display_update(), perform_action_response_cb(), perform_set_selection_action(), perform_set_text_action(), platform_message_ready_cb(), quit_application(), read_list_value(), read_map_value(), realize_cb(), register_texture(), remove_view_cb(), remove_view_engine_error_cb(), remove_view_error_cb(), request_app_exit_response_cb(), resize_channel(), resize_channel_response_cb(), responder_handle_channel_event_cb(), responder_handle_embedder_event_cb(), send_key_event(), send_key_event_cb(), send_lifecycle_state(), send_on_channel(), send_on_channel_finish(), set_client(), set_editing_state(), set_message_handler_on_channel(), set_value(), set_warns_on_channel_overflow(), set_warns_on_channel_overflow_response_cb(), settings_portal_changed_cb(), settings_portal_read(), FlAccessibleNodeTest::SetUp(), setup_locales(), setup_opengl(), shutdown(), synthesize_simple_event(), TEST(), TEST_F(), test_lock_event(), unregister_texture(), update_editing_state_response_cb(), update_editing_state_with_deltas_response_cb(), update_settings(), view_added_cb(), and view_removed_cb().

## ◆ G_DEFINE_TYPE_WITH_PRIVATE()

G_DEFINE_TYPE_WITH_PRIVATE | ( | FlAccessibilityHandler | ,
|  | fl_accessibility_handler | ,
|  | G_TYPE_OBJECT |
| ) |  |

## ◆ if() [1/2]

if | ( | engine | = `= nullptr` | ) |

Definition at line 31 of file fl_accessibility_handler.cc.

31 {
32 return;
33 }

Referenced by fl_keyboard_manager_init(), and handle_key_event().

## ◆ if() [2/2]

if | ( | renderable | = `= nullptr || !FL_IS_VIEW(renderable)` | ) |

Definition at line 36 of file fl_accessibility_handler.cc.

36 {
37 return;
38 }

## Variable Documentation

## ◆ accessibility_channel_vtable

FlAccessibilityChannelVTable accessibility_channel_vtable
| static

Initial value:
= {
.send_announcement = send_announcement,
}

Definition at line 65 of file fl_accessibility_handler.cc.

Referenced by fl_accessibility_handler_new().

## ◆ accessible

FlViewAccessible* accessible = fl_view_get_accessible(view)

Definition at line 41 of file fl_accessibility_handler.cc.

Referenced by fl_accessible_node_get_index_in_parent(), fl_accessible_node_get_n_children(), fl_accessible_node_get_name(), fl_accessible_node_get_parent(), fl_accessible_node_get_role(), fl_accessible_node_ref_child(), fl_accessible_node_ref_state_set(), fl_view_accessible_get_n_children(), fl_view_accessible_ref_child(), fl_view_accessible_ref_state_set(), subscribe_signal(), and TEST().

## ◆ assertiveness

const char FlTextDirection FlAssertiveness assertiveness

Definition at line 23 of file fl_accessibility_handler.cc.

Referenced by process_announce().

## ◆ message

const char* message

Definition at line 21 of file fl_accessibility_handler.cc.

Referenced by announcement_cb(), decode_error_method_call(), decode_error_response(), decode_message(), decode_method_call(), decode_response_with_error(), decode_response_with_success(), flutter::JsonMethodCodec::DecodeAndProcessResponseEnvelopeInternal(), flutter::StandardMethodCodec::DecodeAndProcessResponseEnvelopeInternal(), flutter::MethodCodec< T >::DecodeMethodCall(), flutter::JsonMethodCodec::DecodeMethodCallInternal(), flutter::StandardMethodCodec::DecodeMethodCallInternal(), encode_error_envelope(), encode_message(), encode_message_error(), encode_message_with_codec(), encode_method_call(), encode_success_envelope(), flutter::MessageCodec< T >::EncodeMessage(), flutter::StandardMessageCodec::EncodeMessageInternal(), flutter::JsonMessageCodec::EncodeMessageInternal(), flutter::JsonMethodCodec::EncodeMethodCallInternal(), fl_accessible_text_field_perform_action(), fl_basic_message_channel_respond(), fl_basic_message_channel_send(), fl_basic_message_channel_send_finish(), fl_binary_codec_decode_message(), fl_binary_messenger_handle_message(), fl_binary_messenger_platform_message_cb(), fl_binary_messenger_send_on_channel(), fl_engine_platform_message_cb(), fl_engine_send_platform_message(), fl_event_channel_send_error(), fl_json_message_codec_decode_message(), fl_json_message_codec_encode_message(), fl_json_method_codec_decode_method_call(), fl_json_method_codec_decode_response(), fl_json_method_codec_encode_error_envelope(), fl_json_method_codec_encode_method_call(), fl_json_method_codec_encode_success_envelope(), fl_key_event_channel_send(), fl_key_event_channel_send_finish(), fl_message_codec_decode_message(), fl_message_codec_encode_message(), fl_method_call_respond_error(), fl_method_channel_invoke_method(), fl_method_channel_respond(), fl_method_codec_decode_method_call(), fl_method_codec_decode_response(), fl_method_codec_encode_error_envelope(), fl_method_error_response_new(), fl_method_response_get_result(), fl_settings_channel_send(), fl_standard_message_codec_decode_message(), fl_standard_message_codec_encode_message(), fl_standard_method_codec_decode_method_call(), fl_standard_method_codec_decode_response(), fl_standard_method_codec_encode_error_envelope(), fl_string_codec_decode_message(), fl_test_codec_decode_message(), fl_test_codec_decode_method_call(), fl_test_codec_decode_response(), fl_test_codec_encode_error_envelope(), fl_view_accessible_send_announcement(), G_DECLARE_DERIVABLE_TYPE(), G_DEFINE_TYPE(), handle_method_call(), flutter::IncomingMessageDispatcher::HandleMessage(), flutter::MethodChannel< T >::InvokeMethod(), message_cb(), message_to_text(), notification_assertive_cb(), notification_polite_cb(), perform_set_selection_action(), perform_set_text_action(), process_announce(), process_message(), resize_channel(), flutter::BinaryMessengerImpl::Send(), flutter::BasicMessageChannel< T >::Send(), send_lifecycle_state(), send_on_channel(), flutter::internal::ReplyManager::SendResponseData(), set_key_event_channel(), set_warns_on_channel_overflow(), flutter::BasicMessageChannel< T >::SetMessageHandler(), flutter::MethodChannel< T >::SetMethodCallHandler(), flutter::EventChannel< T >::SetStreamHandler(), flutter::TEST(), TEST(), test_method_codec_decode_method_call(), and test_method_codec_decode_response().

## ◆ priv

FlAccessibilityHandlerPrivate* priv

Initial value:
=
reinterpret_cast<FlAccessibilityHandlerPrivate*>(
fl_accessibility_handler_get_instance_private(self))

Definition at line 26 of file fl_accessibility_handler.cc.

Referenced by fl_accessibility_handler_dispose(), fl_accessibility_handler_new(), fl_accessible_node_dispose(), fl_accessible_node_do_action(), fl_accessible_node_get_extents(), fl_accessible_node_get_index_in_parent(), fl_accessible_node_get_n_actions(), fl_accessible_node_get_n_children(), fl_accessible_node_get_name(), fl_accessible_node_get_parent(), fl_accessible_node_get_role(), fl_accessible_node_init(), fl_accessible_node_perform_action_impl(), fl_accessible_node_ref_child(), fl_accessible_node_ref_state_set(), fl_accessible_node_set_actions_impl(), fl_accessible_node_set_children(), fl_accessible_node_set_extents_impl(), fl_accessible_node_set_flags_impl(), fl_accessible_node_set_name_impl(), fl_accessible_node_set_parent(), fl_accessible_node_set_property(), fl_application_activate(), fl_application_dispose(), fl_application_local_command_line(), and get_action().

## ◆ renderable

FlRenderable* renderable = fl_engine_get_renderable(engine, view_id)

Definition at line 35 of file fl_accessibility_handler.cc.

Referenced by compositor_present_view_callback(), fl_engine_add_view(), fl_engine_set_implicit_view(), fl_view_present_layers(), and TEST().

## ◆ text_direction

const char FlTextDirection text_direction

Definition at line 22 of file fl_accessibility_handler.cc.

Referenced by flutter::AccessibilityBridge::CreateFlutterPlatformNodeDelegate(), and process_announce().

## ◆ user_data

const char FlTextDirection FlAssertiveness gpointer user_data

Initial value:
{
FlAccessibilityHandler* self = FL_ACCESSIBILITY_HANDLER(user_data)
user_data
const char FlTextDirection FlAssertiveness gpointer user_data
Definition: fl_accessibility_handler.cc:24

Definition at line 24 of file fl_accessibility_handler.cc.

Referenced by activate_system_cursor(), add_view_cb(), add_view_engine_error_cb(), add_view_error_cb(), announcement_cb(), channel_closed_cb(), clear_client(), clipboard_text_cb(), clipboard_text_has_strings_cb(), compositor_collect_backing_store_callback(), compositor_create_backing_store_callback(), configure(), fl_accessibility_channel_new(), fl_basic_message_channel_send(), fl_basic_message_channel_set_message_handler(), fl_binary_messenger_platform_message_cb(), fl_binary_messenger_send_on_channel(), fl_binary_messenger_set_message_handler_on_channel(), fl_engine_add_view(), fl_engine_gl_clear_current(), fl_engine_gl_external_texture_frame_callback(), fl_engine_gl_make_current(), fl_engine_gl_make_resource_current(), fl_engine_on_pre_engine_restart_cb(), fl_engine_platform_message_cb(), fl_engine_platform_message_response_cb(), fl_engine_post_task(), fl_engine_remove_view(), fl_engine_runs_task_on_current_thread(), fl_engine_send_key_event(), fl_engine_send_platform_message(), fl_engine_set_platform_message_handler(), fl_engine_start(), fl_engine_update_semantics_cb(), fl_event_channel_set_stream_handlers(), fl_key_channel_responder_handle_event(), fl_key_embedder_call_record_new(), fl_key_embedder_responder_handle_event(), fl_key_embedder_responder_handle_event_impl(), fl_key_event_channel_send(), fl_keyboard_channel_new(), fl_keyboard_manager_handle_event(), fl_keyboard_manager_set_lookup_key_handler(), fl_method_channel_invoke_method(), fl_method_channel_set_method_call_handler(), fl_mouse_cursor_channel_new(), fl_platform_channel_new(), fl_platform_channel_system_request_app_exit(), fl_test_application_activate(), fl_text_input_channel_new(), fl_text_input_channel_perform_action(), fl_text_input_channel_update_editing_state(), fl_text_input_channel_update_editing_state_with_deltas(), fl_view_accessible_handle_update_semantics(), G_DEFINE_TYPE_WITH_CODE(), get_keyboard_state(), handle_key_event(), handle_response(), hash_table_find_equal_value(), hide(), message_cb(), message_response_cb(), method_call_cb(), notification_assertive_cb(), notification_polite_cb(), on_pre_engine_restart_cb(), platform_message_handler_new(), platform_message_ready_cb(), flutter::TextureRegistrarImpl::RegisterTexture(), remove_view_cb(), remove_view_engine_error_cb(), remove_view_error_cb(), request_app_exit_response_cb(), responder_handle_channel_event_cb(), responder_handle_embedder_event_cb(), flutter::BinaryMessengerImpl::Send(), send_key_event_cb(), send_on_channel(), set_client(), set_editable_size_and_transform(), set_editing_state(), set_key_event_channel(), set_marked_text_rect(), set_message_handler_on_channel(), flutter::IncomingMessageDispatcher::SetMessageCallback(), settings_portal_changed_cb(), show(), system_exit_application(), system_initialization_complete(), TEST(), flutter::TEST(), test_lock_event(), and view_added_cb().

## ◆ view

FlView* view = FL_VIEW(renderable)

Definition at line 40 of file fl_accessibility_handler.cc.

Referenced by fl_plugin_registrar_new(), G_DECLARE_FINAL_TYPE(), get_view(), and TEST().